Bug 1119652 - Webappp configuration - Config File field is mandatory
Summary: Webappp configuration - Config File field is mandatory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: JON Plugin
Version: 2.1.0
Hardware: All
OS: All
medium
medium
Target Milestone: CR02
: 2.1.0
Assignee: Jean-frederic Clere
QA Contact: Libor Fuka
URL:
Whiteboard:
Depends On:
Blocks: 1111666
TreeView+ depends on / blocked
 
Reported: 2014-07-15 08:39 UTC by Libor Fuka
Modified: 2014-08-21 21:39 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when using JBoss Enterprise Web Server with JBoss Operations Network, deploying the web application without the <filename>context.xml</filename> file, the <guilabel>Config File</guilabel> field in the JBoss Operations Network user interface's web application configuration remained empty. This field was mandatory. This problem is now fixed in JBoss Enterprise Web Server 2.1 and the <guilabel>Config File</guilabel> field in the JBoss Operations Network user interface is removed.
Clone Of:
Environment:
Last Closed: 2014-08-21 21:39:55 UTC
Type: Bug


Attachments (Terms of Use)
JON UI screen (249.45 KB, image/jpeg)
2014-07-15 08:39 UTC, Libor Fuka
no flags Details

Description Libor Fuka 2014-07-15 08:39:25 UTC
Created attachment 918081 [details]
JON UI screen

Description of problem:
I have just tested updated T6 store-config with Remy's patch (BZ 956509) for context.xml file creation but i found one problem.
When you deploy web application without context.xml in JON, config file field in webapp configuration is empty (see attachment) and this field is mandatory. The same behaviour is for T7 now with JON 3.2.0-updated02 and Tomcat plugin update-01.

The question is if we want to enable save configuration of webapps without context.xml we should also have some default value for field Config file.

Comment 1 Jean-frederic Clere 2014-07-16 06:45:58 UTC
It is fixed in master https://github.com/rhq-project/rhq/commit/147d50666a591fd97767e70eb49d0ac1d782ea17

Comment 2 Jean-frederic Clere 2014-07-16 06:49:42 UTC
It is also fixed in the branc https://github.com/rhq-project/rhq/commit/147d50666a591fd97767e70eb49d0ac1d782ea17h (Jun 26, 2014).

Comment 3 Jean-frederic Clere 2014-07-16 06:50:30 UTC
Which plugins pack are you using?

Comment 4 Jean-frederic Clere 2014-07-16 06:57:59 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1111666

Comment 5 Libor Fuka 2014-07-16 08:05:57 UTC
We are using jon-plugin-pack-ews-3.2.0.GA-update-01.zip

Comment 6 Jean-frederic Clere 2014-07-16 09:41:16 UTC
Ok in fact the problem occurs because you old invalid values in the database...

Comment 7 Jean-frederic Clere 2014-07-16 12:12:34 UTC
no it is worse in fact it seems a readOnly="true" field is required by default or should have a default value.
By having required="false" the behaviour of the GUI is bit weird.

Comment 8 Jean-frederic Clere 2014-07-18 15:17:38 UTC
https://github.com/rhq-project/rhq/pull/93

Comment 9 Jean-frederic Clere 2014-07-18 15:18:52 UTC
https://github.com/rhq-project/rhq/pull/92

Comment 11 Libor Fuka 2014-08-04 10:16:29 UTC
verified with last build of Tomcat plugin BZ 1111666 (ews plugin pack in attachment of this BZ) + EWS 2.1.0 CR2 Tomcat6/7 + JON 3.2.0.GA update 02

Comment 12 Larry O'Leary 2014-08-21 21:39:55 UTC
This fix, change, or update was tested and released in Web Server Plugin Pack Update-01 for JBoss ON 3.2 -- https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=32543


Note You need to log in before you can comment on or make changes to this bug.